Bug 1411143 - manpages are not included in clang package
Summary: manpages are not included in clang package
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: clang
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-08 19:36 UTC by guoxiao
Modified: 2017-08-28 23:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-28 23:30:34 UTC
Type: Bug


Attachments (Terms of Use)

Description guoxiao 2017-01-08 19:36:32 UTC
Description of problem:
After installing clang package, the manpage is not available.

Version-Release number of selected component (if applicable):
clang-3.8.0-2.fc25.x86_64

How reproducible:
everytime

Steps to Reproduce:
1. sudo dnf install clang
2. man clang

Actual results:
No manual entry for clang

Expected results:
Show manual for clang

Additional info:

Comment 1 Tom Stellard 2017-06-12 19:02:36 UTC
This should be fixed in rawhide with clang-4.0.0-6.fc27

Comment 2 Tom Stellard 2017-08-28 23:30:34 UTC
This is fixed in f26.  It will be too difficult to backport the fix to LLVM 3.9.1/f25, so closing this as NEXTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.